al_ustr_insert_chr(3)

NAME

al_ustr_insert_chr - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    size_t al_ustr_insert_chr(ALLEGRO_USTR *us, int pos, int32_t c)

DESCRIPTION

Insert a code point into us beginning at byte offset pos. pos cannot be less than 0. If pos is past the end of us then the space between the end of the string and pos will be padded with NUL ('\0') bytes.

Returns the number of bytes inserted, or 0 on error.

SEE ALSO

al_ustr_insert(3), al_ustr_insert_cstr(3)